Welcome to the MacNN Forums.

If this is your first visit, be sure to check out the FAQ by clicking the link above. You may have to register before you can post: click the register link above to proceed. To start viewing messages, select the forum that you want to visit from the selection below.

You are here: MacNN Forums > Software - Troubleshooting and Discussion > Applications > Aperture 3 won't open

Aperture 3 won't open
Thread Tools
Posting Junkie
Join Date: Jan 2006
Location: Seattle, Washington
Status: Offline
Reply With Quote
Mar 24, 2010, 04:14 PM
 
For some reason when I try to open Aperture 3 I get the "Aperture quit unexpectedly dialogue box."

Process: Aperture [1309]
Path: /Applications/Aperture.app/Contents/MacOS/Aperture
Identifier: com.apple.Aperture
Version: ??? (???)
Build Info: Aperture-1002221847~1
Code Type: X86-64 (Native)
Parent Process: launchd [124]

Date/Time: 2010-03-24 13:13:04.373 -0600
OS Version: Mac OS X 10.6.2 (10C540)
Report Version: 6

Interval Since Last Report: -3096902 sec
Crashes Since Last Report: 14
Per-App Crashes Since Last Report: 11
Anonymous UUID: 94C347D1-807A-4BA1-9132-307DC07E72A8

Exception Type: EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread: 0

Dyld Error Message:
Library not loaded: /Library/Frameworks/PluginManager.framework/Versions/B/PluginManager
Referenced from: /Applications/Aperture.app/Contents/MacOS/Aperture
Reason: image not found
     
Moderator Emeritus
Join Date: Apr 2001
Location: Wasilla, Alaska
Status: Offline
Reply With Quote
Mar 24, 2010, 04:17 PM
 
I'm going to guess you need to reinstall Aperture.
     
Fresh-Faced Recruit
Join Date: Mar 2010
Status: Offline
Reply With Quote
Mar 26, 2010, 04:17 AM
 
Here's a link to the Apple troubleshooting document:
Aperture 3: Troubleshooting Basics | Aperture Users Network
     
Moderator Emeritus
Join Date: Mar 2004
Location: Copenhagen
Status: Offline
Reply With Quote
Mar 26, 2010, 03:36 PM
 
I got a similar error when upgrading from 1.6 to 3.0 and subsequently updating from Tiger to Snow Leopard. I was able to get it to work by simply locating the missing PluginManager from my MacBook (which had been running Aperture 2 on Leopard for ages) and copying it to the Snow Leopard machine.

If you want to give it a go and don’t have the PluginManager available, feel free to try with mine.
     
Posting Junkie
Join Date: Jan 2006
Location: Seattle, Washington
Status: Offline
Reply With Quote
Mar 26, 2010, 03:52 PM
 
Thanks for the file Oisín! I was able to get it working with that.
     
Fresh-Faced Recruit
Join Date: Apr 2010
Status: Offline
Reply With Quote
Apr 4, 2010, 08:02 PM
 
Thanks for the file, I had to add a "B" folder but it worked. Any idea why the framework is disappearing?
     
Moderator Emeritus
Join Date: Mar 2004
Location: Copenhagen
Status: Offline
Reply With Quote
Apr 4, 2010, 09:43 PM
 
Not a clue. I assume perhaps the updater is supposed to replace it with a new (?) version, but then for some reason doesn’t.
     
   
Thread Tools
Forum Links
Forum Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts
BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On
Top
Privacy Policy
All times are GMT -4. The time now is 10:04 AM.
All contents of these forums © 1995-2014 MacNN. All rights reserved.
Branding + Design: www.gesamtbild.com
vBulletin v.3.8.8 © 2000-2014, Jelsoft Enterprises Ltd., Content Relevant URLs by vBSEO 3.3.2